<nav class="navbar navbar-expand-lg navbar-dark bg-primary pt-1 pb-1">
    <a class="navbar-brand" href="#" id="logo_text"></a>
    <div>
        <h6 class="m-0" style="color:gold" ><span id="quickIot_title1">QuickIoT </span><span id="quickIot_title2"></span></h6>
        <label class="m-0" id="bs_device_id" style="font-size:0.65rem; color:white"></label>
    </div>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsMeti"
        aria-controls="navbarsMeti" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse ml-3" id="navbarsMeti">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item ml-2">
                <a class="nav-link" href="/views/Dashboard.html"> Dashboard </a>
            </li>

            <li id="link_modbus" class="nav-item dropdown ml-2">
                <a class="nav-link dropdown-toggle" href="#" id="modbus_base" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false"> Modbus </a>
                <div class="dropdown-menu" aria-labelledby="modbus_base">
                    <a class="dropdown-item" href="/views/ModbusDriver.html">Driver Download</a>
                    <a class="dropdown-item" href="/views/ModbusDriverConfig.html">Configuration</a>
                </div>
            </li>

            <li class="nav-item dropdown ml-2">
                <a class="nav-link dropdown-toggle" href="#" id="sensor_base" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false"> Sensor </a>
                <div class="dropdown-menu" aria-labelledby="sensor_base">
                    <a class="dropdown-item" href="/views/SensorConfig.html">Configuration</a>
                    <!-- <a class="dropdown-item" href="/views/SensorScaling.html" id="link_sensorscaling">Scaling</a> -->
                    <!-- <a class="dropdown-item" href="/views/SensorScaling_nl.html" id="link_sensorscaling_nl">Scaling</a> -->
                    <!-- <a class="dropdown-item" href="/views/OutputControlConfig.html" id="link_outputControl">Output Control</a> -->
                </div>
            </li>

            <li class="nav-item dropdown ml-2">
                <a class="nav-link dropdown-toggle" href="#" id="wifi_base" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false"> WiFi </a>
                <div class="dropdown-menu" aria-labelledby="wifi_base">
                    <a class="dropdown-item" href="/views/WifiConfig.html">Configuration</a>
                    <!-- <a class="dropdown-item" href="WifiExtra.html">Advanced Settings</a> -->
                </div>
            </li>

            <li class="nav-item dropdown ml-2">
                <a class="nav-link dropdown-toggle" href="#" id="mqtt_base" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false"> MQTT </a>
                <div class="dropdown-menu" aria-labelledby="mqtt_base">
                    <a class="dropdown-item" href="/views/MqttConfig.html">Configuration</a>
                    <a class="dropdown-item" href="/views/MqttTopics.html">Topics</a>
                </div>
            </li>

            <li class="nav-item dropdown ml-2">
                <a class="nav-link dropdown-toggle" href="#" id="device_base" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false"> Device </a>
                <div class="dropdown-menu" aria-labelledby="device_base">
                    <a class="dropdown-item" onclick="reset_device()" href="#">Restart</a>
                    <a class="dropdown-item" onclick="factory_reset()" href="#">Factory Reset</a>
                </div>
            </li>
            
            <li id="link_factorySettings" class="nav-item dropdown ml-2">
                <a class="nav-link dropdown-toggle" href="#" id="factory_base" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false"> Factory Settings </a>
                <div class="dropdown-menu" aria-labelledby="factory_base">
                    <a id="link_registerDevice" class="dropdown-item" href="/views/RegisterDevice.html">Register Device</a>
                    <a id="link_sensorCalibration" class="dropdown-item" href="/views/SensorCalibration.html">Sensor Calibration</a>
                </div>
            </li>
        </ul>
    </div>
</nav>